Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2528)
@@ -7,4 +7,5 @@
    !!            2.0  !  2001-05 (G. Madec, R. Hordoir) opa norm
    !!             -   !  2004-01 (G. Madec, C. Ethe)  F90, mpp
+   !!            3.3  !  2009-05  (G. Garric, C. Bricaud) addition of the lim2_evp case
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -32,19 +33,18 @@
    PUBLIC   lim_trp_2   ! called by sbc_ice_lim_2
 
-   REAL(wp), PUBLIC  ::   bound  = 0.e0   !: boundary condit. (0.0 no-slip, 1.0 free-slip)
-
-   REAL(wp)  ::           &  ! constant values
-      epsi06 = 1.e-06  ,  &
-      epsi03 = 1.e-03  ,  &
-      epsi16 = 1.e-16  ,  &
-      rzero  = 0.e0    ,  &
-      rone   = 1.e0
+   REAL(wp), PUBLIC ::   bound  = 0.e0          !: boundary condit. (0.0 no-slip, 1.0 free-slip)
+
+   REAL(wp)  ::   epsi06 = 1.e-06   ! constant values
+   REAL(wp)  ::   epsi03 = 1.e-03  
+   REAL(wp)  ::   epsi16 = 1.e-16  
+   REAL(wp)  ::   rzero  = 0.e0   
+   REAL(wp)  ::   rone   = 1.e0
 
    !! * Substitution
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/LIM 3.2,  UCL-LOCEAN-IPSL (2010) 
+   !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -87,17 +87,22 @@
          ! ice velocities at ocean U- and V-points (zui_u,zvi_v)
          ! ---------------------------------------
-         zvbord = 1.0 + ( 1.0 - bound )      ! zvbord=2 no-slip, =0 free slip boundary conditions        
-         DO jj = 1, jpjm1
-            DO ji = 1, jpim1   ! NO vector opt.
-               zui_u(ji,jj) = ( u_ice(ji+1,jj  ) + u_ice(ji+1,jj+1) ) / ( MAX( tmu(ji+1,jj  ) + tmu(ji+1,jj+1), zvbord ) )
-               zvi_v(ji,jj) = ( v_ice(ji  ,jj+1) + v_ice(ji+1,jj+1) ) / ( MAX( tmu(ji  ,jj+1) + tmu(ji+1,jj+1), zvbord ) )
-            END DO
-         END DO
-         CALL lbc_lnk( zui_u, 'U', -1. )   ;   CALL lbc_lnk( zvi_v, 'V', -1. )         ! Lateral boundary conditions
-
+         IF( lk_lim2_vp ) THEN      ! VP rheology : B-grid sea-ice dynamics (I-point ice velocity)
+            zvbord = 1._wp + ( 1._wp - bound )      ! zvbord=2 no-slip, =0 free slip boundary conditions        
+            DO jj = 1, jpjm1
+               DO ji = 1, jpim1   ! NO vector opt.
+                  zui_u(ji,jj) = ( u_ice(ji+1,jj) + u_ice(ji+1,jj+1) ) / ( MAX( tmu(ji+1,jj)+tmu(ji+1,jj+1), zvbord ) )
+                  zvi_v(ji,jj) = ( v_ice(ji,jj+1) + v_ice(ji+1,jj+1) ) / ( MAX( tmu(ji,jj+1)+tmu(ji+1,jj+1), zvbord ) )
+               END DO
+            END DO
+            CALL lbc_lnk( zui_u, 'U', -1. )   ;   CALL lbc_lnk( zvi_v, 'V', -1. )      ! Lateral boundary conditions
+            !
+         ELSE                       ! EVP rheology : C-grid sea-ice dynamics (u- & v-points ice velocity)
+            zui_u(:,:) = u_ice(:,:)      ! EVP rheology: ice (u,v) at u- and v-points
+            zvi_v(:,:) = v_ice(:,:)
+         ENDIF
 
          ! CFL test for stability
          ! ----------------------
-         zcfl  = 0.e0
+         zcfl  = 0._wp
          zcfl  = MAX( zcfl, MAXVAL( ABS( zui_u(1:jpim1, :     ) ) * rdt_ice / e1u(1:jpim1, :     ) ) )
          zcfl  = MAX( zcfl, MAXVAL( ABS( zvi_v( :     ,1:jpjm1) ) * rdt_ice / e2v( :     ,1:jpjm1) ) )
@@ -109,6 +114,6 @@
          ! content of properties
          ! ---------------------
-         zs0sn (:,:) =  hsnm(:,:) * area(:,:)                 ! Snow volume.
-         zs0ice(:,:) =  hicm(:,:) * area(:,:)                 ! Ice volume.
+         zs0sn (:,:) =  hsnm(:,:)              * area  (:,:)  ! Snow volume.
+         zs0ice(:,:) =  hicm(:,:)              * area  (:,:)  ! Ice volume.
          zs0a  (:,:) =  ( 1.0 - frld(:,:) )    * area  (:,:)  ! Surface covered by ice.
          zs0c0 (:,:) =  tbif(:,:,1) / rt0_snow * zs0sn (:,:)  ! Heat content of the snow layer.
@@ -188,6 +193,6 @@
 !        DO jj = 1, jpjm1          ! NB: has not to be defined on jpj line and jpi row
 !           DO ji = 1 , fs_jpim1   ! vector opt.
-!              IF( MIN( zs0a(ji,jj) , zs0a(ji+1,jj) ) == 0.e0 )   pahu(ji,jj) = 0.e0
-!              IF( MIN( zs0a(ji,jj) , zs0a(ji,jj+1) ) == 0.e0 )   pahv(ji,jj) = 0.e0
+!              IF( MIN( zs0a(ji,jj) , zs0a(ji+1,jj) ) == 0.e0 )   pahu(ji,jj) = 0._wp
+!              IF( MIN( zs0a(ji,jj) , zs0a(ji,jj+1) ) == 0.e0 )   pahv(ji,jj) = 0._wp
 !           END DO
 !        END DO
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 2528)
@@ -60,7 +60,7 @@
 #   include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!  LIM 2.0, UCL-LOCEAN-IPSL (2006)
+   !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -112,5 +112,5 @@
          CALL dia_nam ( clhstnam, nwrite, 'icemod' )
          CALL histbeg ( clhstnam, jpi, glamt, jpj, gphit,    &
-            &           1, jpi, 1, jpj, niter, zjulian, rdt_ice, nhorid, nice , domain_id=nidom)
+            &           1, jpi, 1, jpj, niter, zjulian, rdt_ice, nhorid, nice , domain_id=nidom, snc4chunks=snc4set)
          CALL histvert( nice, "deptht", "Vertical T levels", "m", 1, zdept, ndepid, "down")
          CALL wheneq  ( jpij , tmask(:,:,1), 1, 1., ndex51, ndim)
@@ -120,5 +120,5 @@
                &                                  , nhorid, 1, 1, 1, -99, 32, clop, zsto, zout )
          END DO
-         CALL histend( nice )
+         CALL histend( nice, snc4set )
          !
       ENDIF
@@ -305,5 +305,5 @@
       CALL histdef( kid, "isnowpre", "Snow precipitation"      , "kg/m2/s", jpi, jpj, kh_i, 1, 1, 1, -99, 32, "inst(x)", rdt, rdt ) 
 
-      CALL histend( kid )   ! end of the file definition
+      CALL histend( kid, snc4set )   ! end of the file definition
 
       CALL histwrite( kid, "isnowthi", kt, hsnif          , jpi*jpj, (/1/) )   
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_dimg_2.h90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_dimg_2.h90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_dimg_2.h90	(revision 2528)
@@ -1,7 +1,7 @@
     SUBROUTINE lim_wri_2(kt)
    !!----------------------------------------------------------------------
-   !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
+   !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
     !!-------------------------------------------------------------------
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/par_ice_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/par_ice_2.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/par_ice_2.F90	(revision 2528)
@@ -24,7 +24,7 @@
 #endif
    !!----------------------------------------------------------------------
-   !! NEMO/LIM 2.0, UCL-LOCEAN-IPSL (2008)
+   !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE par_ice_2
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 2528)
@@ -8,7 +8,7 @@
    !!   2.0  !  02-11  (C. Ethe)  F90: Free form and module
    !!----------------------------------------------------------------------
-   !!   LIM 2.0, UCL-LOCEAN-IPSL (2005)
+   !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    !! * Modules used
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90	(revision 2528)
@@ -26,7 +26,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/LIM 3.2, UCL-ASTR-LOCEAN-IPSL (2009)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE dom_ice
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 2528)
@@ -1,36 +1,19 @@
 MODULE ice
+   !!======================================================================
+   !!                        ***  MODULE ice  ***
+   !! LIM-3 Sea Ice physics:  diagnostics variables of ice defined in memory
+   !!=====================================================================
+   !! History :  3.0  ! 2008-03  (M. Vancoppenolle) : original code LIM-3
+   !!----------------------------------------------------------------------
 #if defined key_lim3
    !!----------------------------------------------------------------------
    !!   'key_lim3' :                                   LIM3 sea-ice model
    !!----------------------------------------------------------------------
-   !! History :
-   !!   2.0  !  03-08  (C. Ethe)  F90: Free form and module
-   !!   3.0  !  08-03  (M. Vancoppenolle) : LIM3 !
-   !!----------------------------------------------------------------------
-   !!  LIM 3.0, UCL-LOCEAN-IPSL (2005)
-   !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
-   !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_ice          ! LIM sea-ice parameters
 
    IMPLICIT NONE
    PRIVATE
-   !!
+
    !!======================================================================
-   !!                        ***  MODULE ice  ***
-   !!
-   !!                           **************
-   !!                           * L I M  3.0 *
-   !!                           **************
-   !!
-   !!                         ''in ice we trust''
-   !!
-   !!                   This module contains the sea ice 
-   !!                 diagnostics variables of ice defined 
-   !!                             in memory
-   !!
-   !!======================================================================
-   !!
    !! LIM3 by the use of sweat, agile fingers and sometimes brain juice, 
    !!  was developed in Louvain-la-Neuve by : 
@@ -48,5 +31,5 @@
    !!
    !!    * Gurvan Madec, Claude Talandier, Christian Ethe 
-   !!      and Rachid Benshila (LOCEAN-IPSL, France)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !!    * Xavier Fettweis (UCL-ASTR), Ralph Timmermann (AWI, Germany)
    !!    * Bill Lipscomb (LANL), Cecilia Bitz (UWa) 
@@ -64,17 +47,11 @@
    !!    * Bouillon et al., in prep for 2008.
    !!
-   !!    Or the reference manual, that should be available by 2009
-   !!
+   !!    Or the reference manual, that should be available by 2010
    !!======================================================================
    !!                                                                     |
-   !!            *****************************************                |
-   !!            *                                       *                |
-   !! ************ I C E   S T A T E   V A R I A B L E S **************** |
-   !!            *                                       *                |
-   !!            *****************************************                |
+   !!              I C E   S T A T E   V A R I A B L E S                  |
    !!                                                                     |
    !! Introduction :                                                      |
    !! --------------                                                      |
-   !!                                                                     |
    !! Every ice-covered grid cell is characterized by a series of state   |
    !! variables. To account for unresolved spatial variability in ice     |
@@ -130,5 +107,4 @@
    !!                                                                     |
    !! ** Global variables                                                 |
-   !!                                                                     |
    !!-------------|-------------|---------------------------------|-------|
    !! a_i         | a_i_b       |    Ice concentration            |       |
@@ -145,5 +121,4 @@
    !!                                                                     |
    !! ** Equivalent variables                                             |
-   !!                                                                     |
    !!-------------|-------------|---------------------------------|-------|
    !!                                                                     |
@@ -179,15 +154,17 @@
    !! et_s        !      -      !    Total snow enthalpy          | 10^9 J| 
    !! bv_i        !      -      !    Mean relative brine volume   | ???   | 
-   !!                                                                     |
-   !!                                                                     |
    !!=====================================================================
 
-   LOGICAL, PUBLIC ::    &
-      con_i = .false.           ! switch for conservation test
+   LOGICAL, PUBLIC ::   con_i = .false.   ! switch for conservation test
 
    !!--------------------------------------------------------------------------
    !! * Share Module variables
    !!--------------------------------------------------------------------------
-   REAL(wp), PUBLIC ::   rdt_ice      !: ice time step
+   INTEGER , PUBLIC ::   nstart    !: iteration number of the begining of the run 
+   INTEGER , PUBLIC ::   nlast     !: iteration number of the end of the run 
+   INTEGER , PUBLIC ::   nitrun    !: number of iteration
+   INTEGER , PUBLIC ::   numit     !: iteration number
+   REAL(wp), PUBLIC ::   tpstot    !: time of the run in seconds
+   REAL(wp), PUBLIC ::   rdt_ice   !: ice time step
 
    INTEGER , PUBLIC ::   &     !!: ** ice-dynamic namelist (namicedyn) **
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 2528)
@@ -4,4 +4,7 @@
    !!   Sea-ice model : LIM Sea ice model Initialization
    !!======================================================================
+   !! History :  3.0  ! 2008-03  (M. Vancoppenolle) LIM-3 original code
+   !!            3.3  ! 2010-12  (G. Madec) add call to lim_thd_init and lim_thd_sal_init
+   !!----------------------------------------------------------------------
 #if defined key_lim3
    !!----------------------------------------------------------------------
@@ -10,29 +13,29 @@
    !!   ice_init       : sea-ice model initialization
    !!----------------------------------------------------------------------
-   USE dom_oce
-   USE in_out_manager
-   USE sbc_oce         ! Surface boundary condition: ocean fields
-   USE sbc_ice         ! Surface boundary condition: ice fields
-   USE phycst          ! Define parameters for the routines
-   USE ice
-   USE limmsh
-   USE limistate
-   USE limthd         ! LIM: ice thermodynamics 
-   USE limthd_sal     ! LIM: ice thermodynamics: salinity 
-   USE limrst
-   USE par_ice
-   USE limvar
-   USE lib_mpp
+   USE phycst         ! physical constants
+   USE dom_oce        ! ocean domain
+   USE sbc_oce        ! Surface boundary condition: ocean fields
+   USE sbc_ice        ! Surface boundary condition: ice fields
+   USE ice            ! LIM: sea-ice variables
+   USE limmsh         ! LIM: mesh
+   USE limistate      ! LIM: initial state
+   USE limrst         ! LIM: restart
+   USE limthd         ! LIM: ice thermodynamics
+   USE limthd_sal     ! LIM: ice thermodynamics: salinity
+   USE par_ice        ! LIM: sea-ice parameters
+   USE limvar         ! LIM: variables
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC ice_init                 ! called by opa.F90
-   !!----------------------------------------------------------------------
-   !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008) 
+   PUBLIC   ice_init   ! called by opa.F90
+
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -42,14 +45,10 @@
       !!
       !! ** purpose :   
-      !!
-      !! History :
-      !!   2.0  !  02-08  (G. Madec)  F90: Free form and modules
-      !!   3.0  !  08-03  (M. Vancop) ITD, salinity, EVP-C
       !!----------------------------------------------------------------------
-
-      ! Open the namelist file 
+      !
+      !                                ! Open the namelist file 
       CALL ctl_opn( numnam_ice, 'namelist_ice', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
-
-      CALL ice_run                    !  read in namelist some run parameters
+      !
+      CALL ice_run                     ! namelist read some ice run parameters
       !
       CALL lim_thd_init                ! namelist read ice thermodynics parameters
@@ -63,5 +62,5 @@
       CALL lim_itd_ini                 ! initialize the ice thickness distribution
 
-     !                                ! Initial sea-ice state
+      !                                ! Initial sea-ice state
       IF( .NOT.ln_rstart ) THEN              ! start from rest
          numit = 0
@@ -79,11 +78,12 @@
       fr_i(:,:) = at_i(:,:)           ! initialisation of sea-ice fraction
       !
-      nstart = numit  + nn_fsbc
-      nitrun = nitend - nit000 + 1
-      nlast  = numit  + nitrun
+      nstart = numit  + nn_fsbc      
+      nitrun = nitend - nit000 + 1 
+      nlast  = numit  + nitrun 
       !
       IF( nstock == 0  )   nstock = nlast + 1
-
+      !
    END SUBROUTINE ice_init
+
 
    SUBROUTINE ice_run
@@ -97,22 +97,17 @@
       !!
       !! ** input   :   Namelist namicerun
-      !!
-      !! history :
-      !!   2.0  !  03-08 (C. Ethe)  Original code
-      !!   3.0  !  08-03 (M. Vancop) LIM3
       !!-------------------------------------------------------------------
       NAMELIST/namicerun/ cn_icerst_in, cn_icerst_out, ln_limdyn, acrit, hsndif, hicdif, cai, cao, ln_nicep
       !!-------------------------------------------------------------------
-
-      !                                           ! Read Namelist namicerun 
-      REWIND ( numnam_ice )
-      READ   ( numnam_ice , namicerun )
-
+      !                    
+      REWIND( numnam_ice )                ! Read Namelist namicerun 
+      READ  ( numnam_ice , namicerun )
+      !
       IF( lk_mpp .AND. ln_nicep ) THEN
          ln_nicep = .FALSE.
          CALL ctl_warn( 'ice_run : specific control print for LIM3 desactivated with MPI' )
       ENDIF       
-
-      IF(lwp) THEN
+      !
+      IF(lwp) THEN                        ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'ice_run : ice share parameters for dynamics/advection/thermo of sea-ice'
@@ -124,50 +119,24 @@
          WRITE(numout,*) '   atmospheric drag over sea ice                           = ', cai
          WRITE(numout,*) '   atmospheric drag over ocean                             = ', cao
-         WRITE(numout,*) '   Several ice points in the ice or not in ocean.output = ', ln_nicep
-      ENDIF
-
+         WRITE(numout,*) '   Several ice points in the ice or not in ocean.output    = ', ln_nicep
+      ENDIF
+      !
    END SUBROUTINE ice_run
+
 
    SUBROUTINE lim_itd_ini
       !!------------------------------------------------------------------
       !!                ***  ROUTINE lim_itd_ini ***
-      !! ** Purpose :
-      !!            Initializes the ice thickness distribution
-      !! ** Method  :
-      !!            Very simple. Currently there are no ice types in the
-      !!            model...
-      !!
-      !! ** Arguments :
-      !!           kideb , kiut : Starting and ending points on which the
-      !!                         the computation is applied
-      !!
-      !! ** Inputs / Ouputs : (global commons)
-      !!
-      !! ** External :
-      !!
-      !! ** References :
-      !!
-      !! ** History :
-      !!           (12-2005) Martin Vancoppenolle
-      !!
+      !!
+      !! ** Purpose :   Initializes the ice thickness distribution
+      !! ** Method  :   ...
       !!------------------------------------------------------------------
-      !! * Arguments
-
-      !! * Local variables
-      INTEGER ::   jl,       &   ! ice category dummy loop index
-         jm            ! ice types    dummy loop index
-
-      REAL(wp)  ::           &  ! constant values
-         zeps      =  1.0e-10,   & !
-         zc1                 ,   & !
-         zc2                 ,   & !
-         zc3                 ,   & !
-         zx1
-
+      INTEGER  ::   jl, jm               ! dummy loop index
+      REAL(wp) ::   zc1, zc2, zc3, zx1   ! local scalars
+      !!------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'lim_itd_ini : Initialization of ice thickness distribution '
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
-
-      !!-- End of declarations
-      !!------------------------------------------------------------------------------
 
       !------------------------------------------------------------------------------!
@@ -207,22 +176,20 @@
       !- Thickness categories boundaries 
       !----------------------------------
-      hi_max(:) = 0.0
-      hi_max_typ(:,:) = 0.0
+      hi_max(:) = 0._wp
+      hi_max_typ(:,:) = 0._wp
 
       !- Type 1 - undeformed ice
-      zc1 = 3./REAL(ice_cat_bounds(1,2)-ice_cat_bounds(1,1)+1)
-      zc2 = 10.0*zc1
-      zc3 = 3.0
+      zc1 =  3._wp / REAL( ice_cat_bounds(1,2) - ice_cat_bounds(1,1) + 1 , wp )
+      zc2 = 10._wp * zc1
+      zc3 =  3._wp
 
       DO jl = ice_cat_bounds(1,1), ice_cat_bounds(1,2)
-         zx1 = REAL(jl-1) / REAL(ice_cat_bounds(1,2)-ice_cat_bounds(1,1)+1)
-         hi_max(jl) = hi_max(jl-1) + zc1 + zc2 * (1.0 + TANH ( zc3 * (zx1 - 1.0 ) ) )
+         zx1 = REAL( jl-1 , wp ) / REAL( ice_cat_bounds(1,2) - ice_cat_bounds(1,1) + 1 , wp )
+         hi_max(jl) = hi_max(jl-1) + zc1 + zc2 * (1._wp + TANH( zc3 * (zx1 - 1._wp ) ) )
       END DO
 
       !- Fill in the hi_max_typ vector, useful in other circumstances
-      ! Tricky trick
-      ! hi_max_typ is actually not used in the code and will be removed in a
-      ! next flyspray at this time, the tricky trick will also be removed
-      ! Martin, march 08
+      ! Tricky trick: hi_max_typ is actually not used in the code and will be removed in a
+      ! next flyspray at this time, the tricky trick will also be removed (Martin, march 08)
       DO jl = ice_cat_bounds(1,1), ice_cat_bounds(1,2)
          hi_max_typ(jl,1) = hi_max(jl)
@@ -239,11 +206,11 @@
          END DO
       ENDIF
-
+      !
       DO jl = 1, jpl
-         hi_mean(jl) = ( hi_max(jl) + hi_max(jl-1) ) / 2.0
-      END DO
-
+         hi_mean(jl) = ( hi_max(jl) + hi_max(jl-1) ) * 0.5_wp
+      END DO
+      !
       tn_ice(:,:,:) = t_su(:,:,:)
-
+      !
    END SUBROUTINE lim_itd_ini
 
@@ -255,7 +222,4 @@
    SUBROUTINE ice_init        ! Empty routine
    END SUBROUTINE ice_init
-
-   SUBROUTINE lim_itd_ini
-   END SUBROUTINE lim_itd_ini
 #endif
 
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 2528)
@@ -34,7 +34,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/LIM 3.2,  UCL-LOCEAN-IPSL (2009) 
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 2528)
@@ -36,7 +36,7 @@
    !! * Module variables
    !!----------------------------------------------------------------------
-   !!   LIM 3.0,  UCL-LOCEAN-IPSL (2005)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
